Debian Bug report logs - #402828
initscripts: please add a RAMTMP variable to /etc/default/rcS

version graph

Package: initscripts; Maintainer for initscripts is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for initscripts is src:sysvinit.

Reported by: Luca Capello <luca@pca.it>

Date: Tue, 12 Dec 2006 22:34:19 UTC

Severity: wishlist

Tags: patch

Merged with 585543

Found in versions sysvinit/2.86.ds1-36, sysvinit/2.88dsf-7

Fixed in version sysvinit/2.88dsf-13.3

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#402828; Package initscripts. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: initscripts: please add a RAMTMP variable to /etc/default/rcS
Date: Tue, 12 Dec 2006 22:55:18 +0100
[Message part 1 (text/plain, inline)]
Package: initscripts
Version: 2.86.ds1-36
Severity: wishlist

Hello,

actually, the user can set /var/run and /var/lock as tmpfs using the
two variables RAMRUN=yes and RAMLOCK=yes in /etc/default/rcS.  I'd
like to have the same option for /tmp as tmpfs (e.g. RAMTMP=yes),
instead of having to edit /etc/fstab.

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages initscripts depends on:
ii  debianut 2.17.4                          Miscellaneous utilities specific t
ii  e2fsprog 1.39+1.40-WIP-2006.11.14+dfsg-1 ext2 file system utilities and lib
ii  libc6    2.3.6.ds1-9                     GNU C Library: Shared libraries
ii  lsb-base 3.1-22                          Linux Standard Base 3.1 init scrip
ii  mount    2.12r-15                        Tools for mounting and manipulatin
ii  sysvinit 2.86.ds1-36                     System-V-like utilities

Versions of packages initscripts recommends:
ii  psmisc                        22.3-1     Utilities that use the proc filesy

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#402828; Package initscripts. (Wed, 04 Nov 2009 20:00:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 04 Nov 2009 20:00:15 GMT) Full text and rfc822 format available.

Message #10 received at 402828@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 402828@bugs.debian.org
Subject: Re: Bug#402828: initscripts: please add a RAMTMP variable to /etc/default/rcS
Date: Wed, 04 Nov 2009 20:50:26 +0100
[Message part 1 (text/plain, inline)]
tags 402828 + patch
thanks

Hi there!

This bug is quite old, can someone comment on it, please?

On Tue, 12 Dec 2006 22:55:18 +0100, Luca Capello wrote:
> actually, the user can set /var/run and /var/lock as tmpfs using the
> two variables RAMRUN=yes and RAMLOCK=yes in /etc/default/rcS.  I'd
> like to have the same option for /tmp as tmpfs (e.g. RAMTMP=yes),
> instead of having to edit /etc/fstab.

Here the trivial patch, which I tested on my sid:

--8<---------------cut here---------------start------------->8---
diff --git a/default/rcS b/default/rcS
index 600c7fa..b6b4ad1 100644
--- a/default/rcS
+++ b/default/rcS
@@ -13,5 +13,6 @@ DELAYLOGIN=no
 UTC=yes
 VERBOSE=no
 FSCKFIX=no
+RAMTMP=yes
 RAMRUN=yes
 RAMLOCK=yes
diff --git a/init.d/mountkernfs.sh b/init.d/mountkernfs.sh
index f3222b8..5792bbf 100755
--- a/init.d/mountkernfs.sh
+++ b/init.d/mountkernfs.sh
@@ -46,7 +46,13 @@ do_start () {
 		domount sysfs "" /sys sysfs -onodev,noexec,nosuid
 	fi
 
-	# Mount /var/run and /var/lock as tmpfs if enabled
+	# Mount /tmp, /var/run and /var/lock as tmpfs if enabled
+	if [ yes = "$RAMTMP" ] ; then
+		TMP_OPT=
+		[ "${TMP_SIZE:=$TMPFS_SIZE}" ] && TMP_OPT=",size=$TMP_SIZE"
+		domount tmpfs "" /tmp tmp -orw,$TMP_OPT
+		touch /tmp/.ramfs
+	fi
 	if [ yes = "$RAMRUN" ] ; then
 		RUN_OPT=
 		[ "${RUN_SIZE:=$TMPFS_SIZE}" ] && RUN_OPT=",size=$RUN_SIZE"
--8<---------------cut here---------------end--------------->8---

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 04 Nov 2009 20:00:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#402828; Package initscripts. (Thu, 07 Apr 2011 19:42:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Thu, 07 Apr 2011 19:42:34 GMT) Full text and rfc822 format available.

Message #17 received at 402828@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Luca Capello <luca@pca.it>, 402828@bugs.debian.org
Subject: Re: Bug#402828: initscripts: please add a RAMTMP variable to /etc/default/rcS
Date: Thu, 7 Apr 2011 19:38:25 +0200
On Wed, Nov 04, 2009 at 08:50:26PM +0100, Luca Capello wrote:
> -	# Mount /var/run and /var/lock as tmpfs if enabled
> +	# Mount /tmp, /var/run and /var/lock as tmpfs if enabled
> +	if [ yes = "$RAMTMP" ] ; then
> +		TMP_OPT=
> +		[ "${TMP_SIZE:=$TMPFS_SIZE}" ] && TMP_OPT=",size=$TMP_SIZE"
> +		domount tmpfs "" /tmp tmp -orw,$TMP_OPT
> +		touch /tmp/.ramfs
> +	fi

Personally I'd appreciate a separate size for the /tmp tmpfs than for the
others.

But then having this officially supported would be cool, given that I manually
implement it on all of my machines anyway.  Thanks!  ;-)

Kind regards
Philipp Kern




Forcibly Merged 402828 585543. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sun, 10 Apr 2011 02:21:16 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 20 Jun 2011 07:30:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:43:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.